Better ListView Class Reference |

# ReadOnlySet(TItem) Class

Read-only hash set.

For a list of all members of this type, see ReadOnlySet(TItem) Members .

System.Object
SetBase(TItem)
ReadOnlySet(TItem)
BetterListViewReadOnlyGroupSet
BetterListViewReadOnlyItemSet

public class ReadOnlySet<TItem> : SetBase<TItem>

#### Generic template parameters

TItem
  item type

#### Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

#### Requirements

Namespace: ComponentOwl.BetterListView.Collections

Assembly: BetterListView (in BetterListView.dll)

#### See Also

ReadOnlySet(TItem) Members | ComponentOwl.BetterListView.Collections Namespace